Skip to main content
POST
Send a note message

Authorizations

x-API-Key
string
header
required

Path Parameters

id
string<objectid>
required

Chat ID

Body

application/json

Base message structure for chat, note, activity, and email messages.

_id
string<objectid>

Unique identifier of the entity

number
integer

Unique number of the entity, used for identification

companyId
string<objectid>

The ID of the company this entity belongs to

status
object

Entity Status information

type
enum<string>

The type of the message, e.g. chat, activity, email, or note.

Available options:
CHAT_MESSAGE,
ACTIVITY_MESSAGE,
EMAIL_MESSAGE,
NOTE_MESSAGE
chatId
string<objectid>

The ID of the chat this message belongs to.

blocks
object[]

The blocks that make up the content of the message.

childMessageIds
string<objectid>[]

IDs of child messages for threading.

readByUserIds
string<objectid>[]

IDs of users who have read this message.

metadata
Message Metadata · object | null

Metadata for the message, such as reference IDs or additional information.

accessLevel
Access Level Struct · object

Response

Note message sent

_id
string